[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#242950: marked as done (Please update libtool for GNU/k*BSD port.)

Your message dated Thu, 26 Aug 2004 12:17:22 -0400
with message-id <E1C0MwE-0005YT-00@newraff.debian.org>
and subject line Bug#242950: fixed in libnasl 2.0.12-2
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

Received: (at submit) by bugs.debian.org; 9 Apr 2004 21:17:03 +0000
>From rmh@khazad.dyndns.org Fri Apr 09 14:17:03 2004
Return-path: <rmh@khazad.dyndns.org>
Received: from 86.red-80-24-13.pooles.rima-tde.net (aragorn) [] 
	by spohr.debian.org with esmtp (Exim 3.35 1 (Debian))
	id 1BC3N1-0006zB-00; Fri, 09 Apr 2004 14:17:03 -0700
Received: from rmh by aragorn with local (Exim 3.36 #1 (Debian))
	id 1BC0ZL-0005ID-00; Fri, 09 Apr 2004 20:17:35 +0200
Content-Type: text/plain; charset="us-ascii"
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
From: Robert Millan <rmh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Please update libtool for GNU/k*BSD port.
X-Mailer: reportbug 2.56
Date: Fri, 09 Apr 2004 20:17:35 +0200
Message-Id: <E1BC0ZL-0005ID-00@aragorn>
Sender: <rmh@khazad.dyndns.org>
Delivered-To: submit@bugs.debian.org
X-Spam-Checker-Version: SpamAssassin 2.60-bugs.debian.org_2004_03_25 
	(1.212-2003-09-23-exp) on spohr.debian.org
X-Spam-Status: No, hits=-7.0 required=4.0 tests=BAYES_00,HAS_PACKAGE 
	autolearn=no version=2.60-bugs.debian.org_2004_03_25
X-CrossAssassin-Scores: 1

Package: general
Severity: wishlist
Tags: sid

Hi there,

In order to support the porting efforts based on Glibc and kernels of *BSD
(GNU/kFreeBSD and GNU/kNetBSD), for which I'm the principal developer, we
need to update every package that uses libtool to version 1.5.2-1 or later.

I've filed wishlist bugs for this to a few specific packages, but the bulk
of libtool-using libraries in Debian is yet to be updated. Each maintainer
can help by doing either of these things (preferably both):

  - Update the libtool in your package. You can do that by running the
    following commands in the package source tree (Make sure you're using
    libtool 1.5.2-1 or later):

	libtoolize -c -f
	aclocal (-Im4 might be needed if there's an "m4" template dir)

    If your package uses a tar-in-tar system you'll have to run these
    commands on build time by other means. Particularly, if you use CDBS
    the DEB_AUTO_UPDATE_{LIBTOOL,AUTOMAKE,AUTOCONF} variables can help you.    

  - Ask upstream to update libtool in their next release. The upstream version
    of libtool supports GNU/k*BSD since version 1.5.2, so you can tell them
    to use any version equal or later than that for the update.

Thanks for your cooperation.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.4.25-1-k7

Received: (at 242950-close) by bugs.debian.org; 26 Aug 2004 16:23:09 +0000
>From katie@ftp-master.debian.org Thu Aug 26 09:23:09 2004
Return-path: <katie@ftp-master.debian.org>
Received: from newraff.debian.org [] (mail)
	by spohr.debian.org with esmtp (Exim 3.35 1 (Debian))
	id 1C0N1p-0002iq-00; Thu, 26 Aug 2004 09:23:09 -0700
Received: from katie by newraff.debian.org with local (Exim 3.35 1 (Debian))
	id 1C0MwE-0005YT-00; Thu, 26 Aug 2004 12:17:22 -0400
From: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
To: 242950-close@bugs.debian.org
X-Katie: $Revision: 1.51 $
Subject: Bug#242950: fixed in libnasl 2.0.12-2
Message-Id: <E1C0MwE-0005YT-00@newraff.debian.org>
Sender: Archive Administrator <katie@ftp-master.debian.org>
Date: Thu, 26 Aug 2004 12:17:22 -0400
Delivered-To: 242950-close@bugs.debian.org
X-Spam-Checker-Version: SpamAssassin 2.60-bugs.debian.org_2004_03_25 
	(1.212-2003-09-23-exp) on spohr.debian.org
X-Spam-Status: No, hits=-6.0 required=4.0 tests=BAYES_00,HAS_BUG_NUMBER 
	autolearn=no version=2.60-bugs.debian.org_2004_03_25

Source: libnasl
Source-Version: 2.0.12-2

We believe that the bug you reported is fixed in the latest version of
libnasl, which is due to be installed in the Debian FTP archive:

  to pool/main/libn/libnasl/libnasl-dev_2.0.12-2_i386.deb
  to pool/main/libn/libnasl/libnasl2_2.0.12-2_i386.deb
  to pool/main/libn/libnasl/libnasl_2.0.12-2.diff.gz
  to pool/main/libn/libnasl/libnasl_2.0.12-2.dsc

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 242950@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Javier Fernandez-Sanguino Pen~a <jfs@computer.org> (supplier of updated libnasl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


Format: 1.7
Date: Thu, 26 Aug 2004 17:51:00 +0200
Source: libnasl
Binary: libnasl2 libnasl-dev
Architecture: source i386
Version: 2.0.12-2
Distribution: unstable
Urgency: low
Maintainer: Josip Rodin <joy-packages@debian.org>
Changed-By: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
 libnasl-dev - Nessus Attack Scripting Language, static library and headers
 libnasl2   - Nessus Attack Scripting Language, shared library
Closes: 242950
 libnasl (2.0.12-2) unstable; urgency=low
   * Updated libtool and applied a patch provided by Robert Millan in
     order to fix FTBFS in  GNU/k*BSD (Closes: #242950)
 7df9a0992d62e0bc6bb54eb960d67354 850 libs optional libnasl_2.0.12-2.dsc
 236d1fe70303de5465ec32eeed137d12 317871 libs optional libnasl_2.0.12-2.diff.gz
 ad954852412bba769b8ed80fae9177db 75446 libs optional libnasl2_2.0.12-2_i386.deb
 7ccd37eb27bc9414956d79e849fea573 274554 libdevel optional libnasl-dev_2.0.12-2_i386.deb

Version: GnuPG v1.2.5 (GNU/Linux)


Reply to: